curl --request GET \
--url https://api.palomma.com/v0/merchantAccounts/{merchantAccountId}/settlements \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.palomma.com/v0/merchantAccounts/{merchantAccountId}/settlements"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.palomma.com/v0/merchantAccounts/{merchantAccountId}/settlements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "01HPR57X6QR5ZRKEEKBSDBW4RA",
"merchantAccountId": "01HPR8S7YF43PV3QV16TZDC80P",
"totalAmountCollected": 100000,
"totalFees": 500,
"numberOfPayins": 5,
"payinSettlementDate": "2024-08-28",
"payinSettlementCycle": 11,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"cursor": "fa4c20cf2b51f6a45377c98271e3754da1e29b6827928a8e0b40da5a7d53c971aa22c50b2c8ce83484a0dd36ee0e2570a0520a4f1f4817962d95ba65059b9a28da1a5d4ac7bfe7628fb917efd20608656da58b412ea758ec341cd6dfb226f8be263cefa811848b859a5a71f90f47533e01e969d49c0ac9e4e944b3d0fbd4e207",
"count": 123
}{
"message": "<string>"
}{
"message": "<string>"
}List all payin settlements
import axios from "axios";
const getPage = async (input: { limit?: number; cursor?: string }) => {
const response = await axios.get("https://api.palomma.com/v0/customers", {
headers: {
Authorization: "Bearer <token>",
},
params: {
...input,
},
});
if (!response.data) throw new Error();
const { items, cursor, count } = response.data;
return { items, cursor, count };
};
const getAll = async (input: { limit?: number }) => {
let items: any[] = [];
const firstPage = await getPage({ limit: input.limit });
if (firstPage) {
items = items.concat(firstPage.items);
let currentCursor = firstPage.cursor;
while (currentCursor !== null) {
const nextPage = await getPage({
limit: input.limit,
cursor: currentCursor,
});
items = items.concat(nextPage.items);
currentCursor = nextPage.cursor;
}
}
return items;
};
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the merchant account.
Query Parameters
Number of records to return. Default is 20. Maximum is 100.
A cursor for use in pagination. The cursor indicates where to start fetching the results.
Response
List of payin settlements successfully retrieved.
Show child attributes
Show child attributes
A cursor for use in pagination. Provide this value in the cursor parameter to retrieve the next set of results. When there are no more results, the cursor will be null.
"fa4c20cf2b51f6a45377c98271e3754da1e29b6827928a8e0b40da5a7d53c971aa22c50b2c8ce83484a0dd36ee0e2570a0520a4f1f4817962d95ba65059b9a28da1a5d4ac7bfe7628fb917efd20608656da58b412ea758ec341cd6dfb226f8be263cefa811848b859a5a71f90f47533e01e969d49c0ac9e4e944b3d0fbd4e207"
The total number of items returned.
